%%% ====================================================
%%% @LaTeX-file{
%%%    ARCHIVE  = "biomat.cls",
%%%    data     = "2023/02/11",
%%%    autor    = "Geraldo L. Diniz",
%%%    resumo   = "Este é um documentclass para LaTeX usando o formato 
%%%                padrão de artigos da revista Biomatematica.",
%%% }
%%% ====================================================
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{biomat}

% helvetica bold tamanho 10 usada para os textos em "captions"
% em alguns locais o nome da font helvetica bold pode ser diferente,
% mude os nomes aqui: 
\font\tenhv = cmti10 at 10pt
%\font\tenhv  = rphvb at 10pt
%\font\tenhv  = phvb at 10pt
%\font\tenhv  = phvb7t at 10pt

% times bold tamnho 11 usada para os titulos de secoes
% 
\font\elvbf  = cmbx10 scaled 1100
%\font\elvbf  = ptmb scaled 1100

\LoadClass[10pt,a4paper, twoside]{article}
\setlength{\textwidth}{12cm}
\setlength{\textheight}{18.5cm}
\setlength{\topmargin}{0cm}
\setlength{\oddsidemargin}{1cm}
\setlength{\evensidemargin}{1cm}

\renewenvironment{abstract}
{\begin{list}{}{%
  \setlength{\rightmargin}{0.5cm}
  \setlength{\leftmargin}{0.5cm}
  \small} 
  \item[] }
{\end{list}}

\newenvironment{keyword}
{\begin{list}{}{%
  \setlength{\rightmargin}{0.5cm}
  \setlength{\leftmargin}{0.5cm}
  \it} 
  \item[] }
{\end{list}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\ps@headBIOMAT}
{ \renewcommand{\@oddhead}
  {\begin{minipage}{\textwidth}
     {\footnotesize {\em Biomatem\'atica {\bf XX} (20XX), PI--PF
\hfill {\bf ISSN 1679-365X}}} \\
     {\footnotesize {\em Uma publica\c{c}\~{a}o do grupo de Biomatem\'atica 
      IMECC -- Unicamp}} \\[-3mm]
     \rule{\textwidth}{0.6pt} 
   \end{minipage}
  }
  \renewcommand{\@oddfoot}{}
  \renewcommand{\@evenhead}{\@oddhead}
  \renewcommand{\@evenfoot}{\@oddfoot}
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand\criartitulo{\par
  \begingroup
    \renewcommand\thefootnote{\@arabic\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
      
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@criartitulo

    \thispagestyle{headBIOMAT}\@thanks
    \markright{\bf \small \copyright \ Biomat}
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\criartitulo\relax
  \global\let\@criartitulo\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\def\@criartitulo{%
  \newpage
  \null
  \vskip 0em%
  \begin{center}%
  \let \footnote \thanks
    {\LARGE \@title \par}%
  \end{center}%
    \vskip 1.5em%
    {\normalsize
      \lineskip .5em%
      \begin{minipage}[b]{\textwidth}
        \begin{center}\@author\end{center}%
      \end{minipage}\par}%
    \vskip 1em%
   \par
  \vskip 1em}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\runningheads}{\markboth}
\newcommand{\Section}[1]{\section{\hskip -1em.~#1}}
\newcommand{\Subsection}[1]{\subsection{\hskip -1em.~#1}}

\pagestyle{myheadings}

\normalsize

\setcounter{page}{1}

\def\baselinestretch{1.2}

\endinput
